Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS']
  'require':
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kguiaddons' : '@same'
    'frameworks/kwidgetsaddons' : '@same'
    'frameworks/kconfigwidgets' : '@same'
    'frameworks/kitemviews' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/kcolorscheme' : '@same'
    'frameworks/kiconthemes' : '@same'
    'frameworks/knotifications' : '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kio' : '@same'
    'frameworks/oxygen-icons' : '@same'
    'frameworks/kpackage' : '@same'
    'frameworks/knewstuff' : '@same'
    'third-party/appstream': '@latest'

Options:
  test-before-installing: True
  require-passing-tests-on: [ 'Linux', 'FreeBSD' ]
